package org.jeecg.modules.jfptpz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.jfptpz.entity.CsPtJfptpz;
import org.jeecg.modules.jfptpz.mapper.CsPtJfptpzMapper;
import org.jeecg.modules.jfptpz.service.ICsPtJfptpzService;
import org.springframework.stereotype.Service;

/**
 * @Description: 交付平台配置
 * @Author: jeecg-boot
 * @Date:   2023-11-08
 * @Version: V1.0
 */
@Service
public class CsPtJfptpzServiceImpl extends ServiceImpl<CsPtJfptpzMapper, CsPtJfptpz> implements ICsPtJfptpzService {

    @Override
    public CsPtJfptpz getCurJfptpz(String tenantId) {
        CsPtJfptpz csPtJfptpz = this.lambdaQuery().eq(CsPtJfptpz::getTenantId, tenantId)
                .eq(CsPtJfptpz::getYxbz,"1").one();
        return csPtJfptpz;
    }
}
